# JSON format

## Data format

```
{
  "filename": STRING,
  "id": STRING,
  "status": STRING,
  "width": INTEGER,
  "height": INTEGER,
  "labels": [
    {
      "name": STRING,
      "type": STRING,
      "color": STRING,
      "annotations": [RLE] or [vectors]
    },
    ...
  ]
}
```

* **filename**: Name of the image, pathname included.
* **id**: ID of the annotation data in Annostation.
* **status**: Status of the image, the possible values are: `new`, `in_progress`, `waiting_for_review`, `waiting_for_collaborator_review`, `waiting_for_owner_review`, `waiting_for_change`, `done` and `skipped`
  * When to use `waiting_for_review`, `waiting_for_collaborator_review` or `waiting_for_owner_review`:
    * If the project of the image is not being collaborated, simply use `waiting_for_review`
    * If the project of the image is being collaborated and you want the image to be reviewed by project collaborator, use `waiting_for_collaborator_review`
    * If the project of the image is being collaborated and you want the image to be reviewed by the project owner, use `waiting_for_owner_review`
* **width**: Width of the image.
* **height**: Height of the image.
* **labels**: Array of objects, each object represents a label in AnnoStation.
  * **name**: Name of the label.
  * **type**: Type of the label, the possible values are: `segmentation` and `vector`
  * **color**: Color of the label.
  * [**annotations**](/resources/json/json-annotation.md): Array of RLE (run-length encoding) objects for `segmentation` type or vector objects for `vector` type, depends on `type`.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.annostation.orni.co.jp/resources/json.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
